Search documentation of ExStreamClient

# ExStreamClient.Model.EnrichedActivity (ExStreamClient v0.1.10)

View Source

Schema representing a EnrichedActivity

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EnrichedActivity{
      actor: ExStreamClient.Model.Data.t() | nil,
      foreign_id: String.t() | nil,
      id: String.t() | nil,
      latest_reactions:
        %{optional(String.t()) => [ExStreamClient.Model.EnrichedReaction.t()]} | nil,
      object: ExStreamClient.Model.Data.t() | nil,
      origin: ExStreamClient.Model.Data.t() | nil,
      own_reactions:
        %{optional(String.t()) => [ExStreamClient.Model.EnrichedReaction.t()]} | nil,
      reaction_counts: %{optional(String.t()) => integer()} | nil,
      score: float() | nil,
      target: ExStreamClient.Model.Data.t() | nil,
      to: [String.t()] | nil,
      verb: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()